/*
    msPlugInOptions.h - Exporter options.

    Copyright (c) John Thompson, 2001.
    Permission hereby granted to you to use non-exclusively or modify as you wish,
    provided you preserve this copyright message.
*/

#if !defined(AFX_MSPLUGINOPTIONS_H__53233992_3577_42B2_9CBA_36C00CD13B38__INCLUDED_)
#define AFX_MSPLUGINOPTIONS_H__53233992_3577_42B2_9CBA_36C00CD13B38__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// msPlugInOptions.h : header file
//

#include "resource.h"

/////////////////////////////////////////////////////////////////////////////
// CPlugInOptions dialog

class CPlugInOptions : public CDialog
{
// Construction
public:
	CPlugInOptions(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CPlugInOptions)
	enum { IDD = IDD_OPTIONS_DIALOG };
	CButton	m_oCheckCloseHoles;
	CButton	m_oCheckAddTemplates;
	CButton	m_oCheckAddSkinAndBonesTemplates;
	CButton	m_oCheckAddRootFrame;
	CButton	m_oCheckBinary;
	CButton	m_oCheckRightHanded;
	CButton	m_oCheckExcludeGeometry;
	CEdit	m_oEditRotationZ;
	CEdit	m_oEditRotationY;
	CEdit	m_oEditRotationX;
	CEdit	m_oEditRootFrameName;
	CEdit	m_oEditPositionScale;
	CEdit	m_oEditPositionOffsetZ;
	CEdit	m_oEditPositionOffsetY;
	CEdit	m_oEditPositionOffsetX;
	CStatic	m_oStaticZ;
	CStatic	m_oStaticY;
	CStatic	m_oStaticX;
	CStatic	m_oStaticRotation;
	CStatic	m_oStaticRootFrameName;
	CStatic	m_oStaticPositionScaling;
	CStatic	m_oStaticPositionOffset;
	CStatic	m_oStaticInterpolationCount;
	CStatic	m_oStaticAnimationRange;
	CEdit	m_oEditAnimationRangeHigh;
	CEdit	m_oEditAnimationRangeLow;
	CComboBox	m_oComboFormat;
	CButton	m_oCheckFlipTextureVertical;
	CButton	m_oCheckFlipTextureHorizontal;
	CButton	m_oCheckMeshOnly;
	CButton	m_oCheckAddInterpolations;
	CEdit	m_oEditInterpolationCount;
	CButton	m_oCheckMatrixKeys;
	CButton	m_oStandAtOffset;
	CButton	m_oCheckCenterAtOffset;
	CButton	m_oCheckExcludeAnimationOptions;
	CStatic	m_oStaticAnimationSetName;
	CStatic	m_oStaticAnimationRate;
	CButton	m_oButtonExcludeAnimation;
	CEdit	m_oEditAnimationSetName;
	CEdit	m_oEditAnimationRate;
	CButton	m_oButtonSplineRotations;
	CButton	m_oButtonSplinePositions;
	CButton	m_oButtonLoopAnimations;
	float	m_fAnimationRate;
	float	m_fPositionScale;
	float	m_fPositionOffsetX;
	float	m_fPositionOffsetY;
	float	m_fPositionOffsetZ;
	float	m_fRotationX;
	float	m_fRotationY;
	float	m_fRotationZ;
	BOOL	m_blFlipTextureVertical;
	BOOL	m_blExcludeAnimation;
	CString	m_sRootFrameName;
	BOOL	m_blLoopAnimations;
	BOOL	m_blSplinePositions;
	BOOL	m_blSplineRotations;
	CString	m_sAnimationSetName;
	BOOL	m_blMatrixKeys;
	BOOL	m_blCenterAtOffset;
	BOOL	m_blStandAtOffset;
	BOOL	m_blExcludeAnimationOptions;
	BOOL	m_blAddInterpolations;
	BOOL	m_blBinaryFormat;
	BOOL	m_blFlipTextureHorizontal;
	int		m_iInterpolationCount;
	BOOL	m_blRightHanded;
	BOOL	m_blExcludeGeometry;
	BOOL	m_blMeshOnly;
	int		m_iFormat;
	BOOL	m_blBinary;
	float	m_fAnimationRangeLow;
	float	m_fAnimationRangeHigh;
	BOOL	m_blAddRootFrame;
	BOOL	m_blAddTemplates;
	BOOL	m_blAddSkinAndBonesTemplates;
	BOOL	m_blCloseHoles;
	BOOL	m_blExcludeNormals;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPlugInOptions)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CPlugInOptions)
	afx_msg void OnCheckExcludeAnimation();
	afx_msg void OnCheckExcludeAnimationOptions();
	afx_msg void OnCheckStandAtOffset();
	afx_msg void OnCheckCenterAtOffset();
	afx_msg void OnCheckAddInterpolations();
	afx_msg void OnCheckExcludeGeometry();
	afx_msg void OnCheckMeshOnly();
	afx_msg void OnCheckAddRootFrame();
	afx_msg void OnSelchangeComboFormat();
	afx_msg void OnCheckAddTemplates();
	afx_msg void OnButtonHelp();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MSPLUGINOPTIONS_H__53233992_3577_42B2_9CBA_36C00CD13B38__INCLUDED_)
